summaryrefslogtreecommitdiffstats
path: root/source/d/doxygen/doxygen.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/d/doxygen/doxygen.SlackBuild')
-rwxr-xr-xsource/d/doxygen/doxygen.SlackBuild36
1 files changed, 21 insertions, 15 deletions
diff --git a/source/d/doxygen/doxygen.SlackBuild b/source/d/doxygen/doxygen.SlackBuild
index 2564b2ac7..f4d61a8ae 100755
--- a/source/d/doxygen/doxygen.SlackBuild
+++ b/source/d/doxygen/doxygen.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2008, 2009, 2010, 2018 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2018, 2021 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=doxygen
VERSION=${VERSION:-$(basename $(echo doxygen-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev) .src)}
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
@@ -76,35 +76,41 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
+cat $CWD/patches/doxgen-1.9.1-crash-when-parsing-config-file-part2.patch | patch -p1 --verbose || exit 1
+cat $CWD/patches/doxgen-1.9.1-crash-when-parsing-config-file.patch | patch -p1 --verbose || exit 1
+cat $CWD/patches/doxygen-1.9.1-Coverity_issues.patch | patch -p1 --verbose || exit 1
+cat $CWD/patches/doxygen-1.9.1-crash_in_docparser.patch | patch -p1 --verbose || exit 1
+
mkdir build
cd build
cmake \
+ -DPYTHON_EXECUTABLE=/usr/bin/python3 \
-DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
-DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
-DCMAKE_INSTALL_PREFIX=/usr \
-DCMAKE_BUILD_TYPE=Release \
-DDOC_INSTALL_DIR:STRING="/doc/doxygen-$VERSION" \
- -Dbuild_app=yes \
- -Dbuild_doc=yes \
- -Dbuild_parse=yes \
- -Dbuild_search=yes \
- -Dbuild_wizard=yes \
- -Dbuild_xmlparser=yes \
- -Duse_sqlite3=yes \
+ -DBUILD_SHARED_LIBS=OFF \
+ -Dbuild_app=ON \
+ -Dbuild_doc=OFF \
+ -Dbuild_parse=ON \
+ -Dbuild_search=ON \
+ -Dbuild_wizard=ON \
+ -Dbuild_xmlparser=ON \
+ -Duse_sqlite3=ON \
-G "Unix Makefiles" .. || exit 1
make $NUMJOBS || make || exit 1
- make $NUMJOBS docs || make docs || exit 1
make install DESTDIR=$PKG || exit 1
cd ..
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-# Fix manpage location
-mv $PKG/usr/share/man $PKG/usr/man
-
-# Removed unused /usr/share
-rmdir $PKG/usr/share 2>/dev/null
+# Install manpages:
+mkdir -p $PKG/usr/man/man1
+cp -a doc/*.1 $PKG/usr/man/man1
+chown root:root $PKG/usr/man/man1/*
+chmod 644 $PKG/usr/man/man1/*
# Compress and if needed symlink the man pages:
if [ -d $PKG/usr/man ]; then